org.keycloak.storage.group

## Class GroupStorageProviderModel

- java.lang.Object
- - org.keycloak.component.ComponentModel
  - - org.keycloak.component.PrioritizedComponentModel
    - - org.keycloak.storage.CacheableStorageProviderModel
      - - org.keycloak.storage.group.GroupStorageProviderModel

- All Implemented Interfaces:
    Serializable

      public class GroupStorageProviderModel
      extends CacheableStorageProviderModel

  Stored configuration of a Group Storage provider instance.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.storage.CacheableStorageProviderModel

      `CacheableStorageProviderModel.CachePolicy`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.storage.CacheableStorageProviderModel

      `CACHE_INVALID_BEFORE, CACHE_POLICY, ENABLED, EVICTION_DAY, EVICTION_HOUR, EVICTION_MINUTE, MAX_LIFESPAN`

    - ### Fields inherited from class org.keycloak.component.PrioritizedComponentModel

      `comparator, PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupStorageProviderModel()`
    `GroupStorageProviderModel(ComponentModel copy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean flag)`

    - ### Methods inherited from class org.keycloak.storage.CacheableStorageProviderModel

      `dailyEvictionBoundary, dailyTimeout, getCacheInvalidBefore, getCachePolicy, getEvictionDay, getEvictionHour, getEvictionMinute, getLifespan, getMaxLifespan, setCacheInvalidBefore, setCachePolicy, setEvictionDay, setEvictionHour, setEvictionMinute, setMaxLifespan, shouldInvalidate, weeklyTimeout`

    - ### Methods inherited from class org.keycloak.component.PrioritizedComponentModel

      `getPriority, parsePriority, setPriority`

    - ### Methods inherited from class org.keycloak.component.ComponentModel

      `contains, get, get, get, get, get, getConfig, getId, getName, getNote, getParentId, getProviderId, getProviderType, getSubType, hasNote, put, put, put, put, removeNote, setConfig, setId, setName, setNote, setParentId, setProviderId, setProviderType, setSubType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupStorageProviderModel

          public GroupStorageProviderModel()

    - #### GroupStorageProviderModel

          public GroupStorageProviderModel(ComponentModel copy)

  - ### Method Detail

    - #### setEnabled

          public void setEnabled(boolean flag)

      Overrides:
        `setEnabled` in class `CacheableStorageProviderModel`

    - #### isEnabled

          public boolean isEnabled()

      Overrides:
        `isEnabled` in class `CacheableStorageProviderModel`

Copyright © 2021 JBoss by Red Hat. All rights reserved.